#include "drawing.hh"
#include <memory>
#include <opencv2/imgproc.hpp>

void draw_square(cv::Mat &t_img, cv::Point const &t_top_left, int const size,
                 cv::Scalar const &t_color) {
  std::unique_ptr<cv::Point> points(new cv::Point[4]);
  points.get()[0] = t_top_left;
  points.get()[1] = cv::Point{t_top_left.x,        t_top_left.y + size};
  points.get()[2] = cv::Point{t_top_left.x + size, t_top_left.y + size};
  points.get()[3] = cv::Point{t_top_left.x + size, t_top_left.y};
  fillConvexPoly(t_img, points.get(), 4, t_color);
}
